Skip to main content

Get all concessions

GEThttps://api.propexo.com/v1/concessions/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external ID from the integration vendor

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

property_id string

The Propexo unique identifier for the property

integration_id string

The Propexo unique identifier for the integration

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The property management system of record

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the concession

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 5765171549e8ce9b3e7d461916d1474d7ee16844d2b94fc2ea06631e879f9f9d
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 462123
    x_location_idnullrequired

    The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

    Notice

    This field will always be null for REALPAGE

    Example: null
    x_unit_idstring | nullnullablerequired

    The external ID of the unit from the integration vendor

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 312
    x_floor_plan_idnullrequired

    The external ID of the floor plan from the integration vendor

    Notice

    This field will always be null for REALPAGE

    Example: null
    total_amount_in_centsnullrequired

    The total amount of the concession

    Notice

    This field will always be null for REALPAGE

    Example: null
    start_datestring | nullnullablerequired

    The start date associated with the concession

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 2024-06-01T00:00:00.000Z
    end_datestring | nullnullablerequired

    The end date associated with the concession

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 2024-07-01T00:00:00.000Z
    is_activenullrequired

    Whether the concession is active

    Notice

    This field will always be null for REALPAGE

    Example: null
    descriptionnullrequired

    Description of the concession

    Notice

    This field will always be null for REALPAGE

    Example: null
    is_one_timenullrequired

    Whether or not the concession occurs a single time

    Notice

    This field will always be null for REALPAGE

    Example: null
    is_recurringnullrequired

    Whether or not the concession is recurring

    Notice

    This field will always be null for REALPAGE

    Example: null
    monthly_fixed_amount_in_centsinteger | nullnullablerequired

    The monthly fixed amount of the concession in cents

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 10000
    monthly_percentage_amountinteger | nullnullablerequired

    The monthly percentage amount of the concession. This is rounded to the nearest percent

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 3
    monthly_percentage_rawnullrequired

    The raw monthly percentage amount of the concession as a string, preserving decimal precision

    Notice

    This field will always be null for REALPAGE

    Example: null
    one_time_fixed_amount_in_centsinteger | nullnullablerequired

    The one time fixed amount of the concession in cents

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 10000
    one_time_percentage_amountnullrequired

    The one time percentage amount of the concession. This is rounded to the nearest percent

    Notice

    This field will always be null for REALPAGE

    Example: null
    one_time_percentage_rawnullrequired

    The raw one time percentage amount of the concession as a string, preserving decimal precision

    Notice

    This field will always be null for REALPAGE

    Example: null
    number_of_occurrencesinteger | nullnullablerequired

    The number of occurrences of the concession

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 6
    fixed_amount_in_centsinteger | nullnullablerequired

    The fixed amount of the concession in cents

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 10000
    percentage_amountnullrequired

    The percentage amount of the concession. This is rounded to the nearest percent

    Notice

    This field will always be null for REALPAGE

    Example: null
    percentage_rawnullrequired

    The raw percentage amount of the concession as a string, preserving decimal precision

    Notice

    This field will always be null for REALPAGE

    Example: null
    lease_term_in_monthsinteger | nullnullablerequired

    The amount of months for the lease term

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 12
    lease_term_rawstring | nullnullablerequired

    The raw value for the lease term

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: 12
    concession_formula_rawnullrequired

    The raw formula name used to calculate the concession (e.g., "Fixed Amount", "Percent of Charge Code Group")

    Notice

    This field will always be null for REALPAGE

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum19required

    The property management system of record

    Show 13 enum values
    REALPAGEAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: REALPAGE
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    InterfaceMethod
    CrossFire Availability and Pricing UnitGetRentMatrix
    Example: cm0bbh7wz5490255055190u0v2v7oz8j
    floor_plan_idnullrequired

    The Propexo unique identifier for the floor plan

    Notice

    This field will always be null for REALPAGE

    Example: null
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/concessions/
curl https://api.propexo.com/v1/concessions/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "5765171549e8ce9b3e7d461916d1474d7ee16844d2b94fc2ea06631e879f9f9d",
"x_property_id": "462123",
"x_location_id": null,
"x_unit_id": "312",
"x_floor_plan_id": null,
"total_amount_in_cents": null,
"start_date": "2024-06-01T00:00:00.000Z",
"end_date": "2024-07-01T00:00:00.000Z",
"is_active": null,
"description": null,
"is_one_time": null,
"is_recurring": null,
"monthly_fixed_amount_in_cents": 10000,
"monthly_percentage_amount": 3,
"monthly_percentage_raw": null,
"one_time_fixed_amount_in_cents": 10000,
"one_time_percentage_amount": null,
"one_time_percentage_raw": null,
"number_of_occurrences": 6,
"fixed_amount_in_cents": 10000,
"percentage_amount": null,
"percentage_raw": null,
"lease_term_in_months": 12,
"lease_term_raw": "12",
"concession_formula_raw": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "REALPAGE",
"property_id": "clwi5xiix000008l6ctdgafyh",
"unit_id": "cm0bbh7wz5490255055190u0v2v7oz8j",
"floor_plan_id": null
}
]
}